Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/simulate_block_trade \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/simulate_block_trade",
  "params": {
    "role": "maker",
    "trades": [
      {
        "instrument_name": "BTC-PERPETUAL",
        "direction": "buy",
        "price": 11624,
        "amount": 40
      },
      {
        "instrument_name": "BTC-9AUG19-10250-P",
        "direction": "buy",
        "amount": 1.2,
        "price": 0.0707
      }
    ]
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/simulate_block_trade"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/simulate_block_trade",
    "params": {
        "role": "maker",
        "trades": [
            {
                "instrument_name": "BTC-PERPETUAL",
                "direction": "buy",
                "price": 11624,
                "amount": 40
            },
            {
                "instrument_name": "BTC-9AUG19-10250-P",
                "direction": "buy",
                "amount": 1.2,
                "price": 0.0707
            }
        ]
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/simulate_block_trade',
    params: {
      role: 'maker',
      trades: [
        {instrument_name: 'BTC-PERPETUAL', direction: 'buy', price: 11624, amount: 40},
        {
          instrument_name: 'BTC-9AUG19-10250-P',
          direction: 'buy',
          amount: 1.2,
          price: 0.0707
        }
      ]
    }
  })
};

fetch('https://test.deribit.com/api/v2/private/simulate_block_trade', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "result": true
}

Query Parameters

role
enum<string>

Describes if user wants to be maker or taker of trades Trade role of the user: maker or taker

Available options:
maker,
taker
trades
object[]
required

List of trades for block trade

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
boolean
required

true if block trade can be executed, false otherwise

id
integer

The id that was sent in the request